Bug 1126160 - [abrt] gimp: elf_get_dynamic_info(): gimp-2.8 killed by SIGBUS
Summary: [abrt] gimp: elf_get_dynamic_info(): gimp-2.8 killed by SIGBUS
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gimp
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nils Philippsen
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:c2a5a0d0046f5cbe94fbe7d6260...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-02 21:34 UTC by Godfrey
Modified: 2014-09-09 14:32 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-09 14:32:06 UTC


Attachments (Terms of Use)
File: backtrace (76.60 KB, text/plain)
2014-08-02 21:34 UTC, Godfrey
no flags Details
File: cgroup (172 bytes, text/plain)
2014-08-02 21:34 UTC, Godfrey
no flags Details
File: core_backtrace (5.14 KB, text/plain)
2014-08-02 21:34 UTC, Godfrey
no flags Details
File: dso_list (8.30 KB, text/plain)
2014-08-02 21:34 UTC, Godfrey
no flags Details
File: environ (1.13 KB, text/plain)
2014-08-02 21:34 UTC, Godfrey
no flags Details
File: exploitable (82 bytes, text/plain)
2014-08-02 21:34 UTC, Godfrey
no flags Details
File: limits (1.29 KB, text/plain)
2014-08-02 21:34 UTC, Godfrey
no flags Details
File: maps (41.68 KB, text/plain)
2014-08-02 21:34 UTC, Godfrey
no flags Details
File: open_fds (224 bytes, text/plain)
2014-08-02 21:34 UTC, Godfrey
no flags Details
File: proc_pid_status (944 bytes, text/plain)
2014-08-02 21:34 UTC, Godfrey
no flags Details
File: var_log_messages (202 bytes, text/plain)
2014-08-02 21:34 UTC, Godfrey
no flags Details

Description Godfrey 2014-08-02 21:34:07 UTC
Version-Release number of selected component:
gimp-2.8.10-4.fc20

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        gimp-2.8 /home/godfrey/multipageproject/image-0003.pnm
crash_function: elf_get_dynamic_info
executable:     /usr/bin/gimp-2.8
kernel:         3.12.10-300.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 elf_get_dynamic_info at get-dynamic-info.h:44
 #1 _dl_map_object_from_fd at dl-load.c:1432
 #2 _dl_map_object at dl-load.c:2382
 #3 dl_open_worker at dl-open.c:224
 #4 _dl_catch_error at dl-error.c:177
 #5 _dl_open at dl-open.c:650
 #6 dlopen_doit at dlopen.c:66
 #7 _dl_catch_error at dl-error.c:177
 #8 _dlerror_run at dlerror.c:163
 #9 __dlopen at dlopen.c:87

Comment 1 Godfrey 2014-08-02 21:34:10 UTC
Created attachment 923511 [details]
File: backtrace

Comment 2 Godfrey 2014-08-02 21:34:11 UTC
Created attachment 923512 [details]
File: cgroup

Comment 3 Godfrey 2014-08-02 21:34:12 UTC
Created attachment 923513 [details]
File: core_backtrace

Comment 4 Godfrey 2014-08-02 21:34:13 UTC
Created attachment 923514 [details]
File: dso_list

Comment 5 Godfrey 2014-08-02 21:34:14 UTC
Created attachment 923515 [details]
File: environ

Comment 6 Godfrey 2014-08-02 21:34:14 UTC
Created attachment 923516 [details]
File: exploitable

Comment 7 Godfrey 2014-08-02 21:34:15 UTC
Created attachment 923517 [details]
File: limits

Comment 8 Godfrey 2014-08-02 21:34:17 UTC
Created attachment 923518 [details]
File: maps

Comment 9 Godfrey 2014-08-02 21:34:17 UTC
Created attachment 923519 [details]
File: open_fds

Comment 10 Godfrey 2014-08-02 21:34:18 UTC
Created attachment 923520 [details]
File: proc_pid_status

Comment 11 Godfrey 2014-08-02 21:34:19 UTC
Created attachment 923521 [details]
File: var_log_messages

Comment 12 Nils Philippsen 2014-08-04 16:31:20 UTC
Hmm. This crash is rather odd, as it happens in:

...
#11 g_module_open (file_name=0x7fae2c298020 "/usr/lib64/gegl-0.2/jp2-load.so", flags=flags@entry=0)
->
#9  0x00007fae22b1b0c1 in __dlopen (file=file@entry=0x7fae2c297ad0 "/usr/lib64/gegl-0.2/jp2-load.so", mode=mode@entry=258)
...

This "simple" dlopen() call is not something I'd expect to be able to crash, unless some bug in _init()/_fini() functions were involved (but apparently isn't).

What did you do when the crash happened? Can you reproduce it?

Comment 13 Godfrey 2014-09-08 13:46:35 UTC
It happens when I wanted to start GIMP. I have since removed Fedora from my machine and using Ubuntu. I had numerous issues with Fedora 20 with other softwares as well and the file system got corrupted.

Comment 14 Nils Philippsen 2014-09-09 14:32:06 UTC
Without any way to reproduce the bug, I'll close it as there's no way for me to debug it. You should check whether your hardware is okay though -- I don't see these issues you describe, neither with GIMP nor other programs or the file system and I use and have used F-20 on several systems (bare metal and virtual machines).


Note You need to log in before you can comment on or make changes to this bug.